Class Fox::FXMemoryStream

In: | FXStream.rb
Parent: | Object

Memory Store Definition

Methods

giveBuffer new open open takeBuffer

Attributes

space | [RW] | Available space [Integer]

Public Class methods

new(cont=nil) {|theMemoryStream| ...}

Create memory store

Public Instance methods

open(data, save_or_load)

Open memory stream, returns `true` if successful.

open(data, sp, save_or_load)

Open memory store, returns `true` if successful.

takeBuffer()

Take buffer away from stream; returns a String containing the buffer contents.

giveBuffer(buffer, sp)

Give buffer to stream